<template>
    <v-app-bar class="custom-app-bar">
        <v-row no-gutters align-items-center>
            <v-col class="flex-grow-1 flex fill-height">
                <v-img class="custom-img" :src="require('@/assets/images/eureko-logo.png')" />
            </v-col>

            <v-col class="flex-grow-1 flex fill-height">
                <v-card-text class="custom-card-text">
                    <span v-if="width > 1024">{{ barTitle }}</span>
                </v-card-text>
            </v-col>

            <v-col class="flex-grow-1 flex fill-height justify-end">
                <div class="icon-container">
                    <v-icon class="mitc-chat"></v-icon>
                    <v-icon class="mitc-mail"></v-icon>
                    <v-tooltip bottom>
                        <template v-slot:activator="{ props }">
                            <v-icon @click="logout" v-bind="props" class="mitc-lock"  ></v-icon>
                        </template>
                        <span>Oturumu Sonlandır</span>
                    </v-tooltip>
                    <v-menu>
                        <template v-slot:activator="{ props }">
                            <v-icon v-bind="props" class="mitc-user"></v-icon>
                        </template>
                        <v-list style="width: 200px;  box-shadow: 0px 1.61333px 25.65px rgba(139, 139, 139, 0.25);
          border-radius: 7px;margin-top: 20px;">
                            <v-list-item style="background-color: white;">
                                <v-col>
                                    <v-row style="display: flex; justify-content: space-between;">
                                        <v-list-item-title
                                            style="font-weight: 600; font-size: 14px; color: #000000; display: flex; align-items: center;">
                                            Profil
                                        </v-list-item-title>
                                        <v-icon border-radius="20" align-self="flex-end">mdi-chevron-right</v-icon>
                                    </v-row>
                                </v-col>
                            </v-list-item>
                            <v-list-item style="background-color: white;">
                                <v-col>
                                    <v-row style="display: flex; justify-content: space-between;">
                                        <v-list-item-title
                                            style="font-weight: 600; font-size: 14px; color: #000000; display: flex; align-items: center;">
                                            Ayarlar
                                        </v-list-item-title>
                                        <v-icon border-radius="20" align-self="flex-end">mdi-chevron-right</v-icon>
                                    </v-row>
                                </v-col>
                            </v-list-item>
                            <v-list-item style="background-color: white;" @click="logout">
                                <v-col>
                                    <v-row style="display: flex; justify-content: space-between;">
                                        <v-list-item-title
                                            style="font-weight: 600; font-size: 14px; color: #000000; display: flex; align-items: center;">
                                            Çıkış Yap
                                        </v-list-item-title>
                                        <v-icon border-radius="20" align-self="flex-end">mdi-chevron-right</v-icon>
                                    </v-row>
                                </v-col>
                            </v-list-item>
                        </v-list>
                    </v-menu>
                </div>
            </v-col>

        </v-row>
    </v-app-bar>
</template>

<script>
import eventBus from '@/plugins/eventBus';
import { AUTH_LOGOUT } from "@/store/actions/auth";


export default {
    name: 'AppBar',

    data() {
        return {
            width: 0,
            barTitle: '',
            items: [
                { title: 'Profil' },
                { title: 'Ayarlar' },
                { title: 'Çıkış Yap' },
            ],
            
        };
    },

    mounted() {
        this.width = window.innerWidth;
        window.addEventListener('resize', this.updateWindowDimensions);
        eventBus.on('menu-click', this.handleMenuClick);

    },

    methods: {
        updateWindowDimensions() {
            this.width = window.innerWidth;
        },

        handleClick() {
            console.log('Button clicked!');
            console.log(this.width);
        },

        handleMenuClick(menuName) {
            console.log(menuName);

            this.barTitle = 'Tüm İşlemler > ' + menuName;
        },
        logout() {
            const headers = {
                Accept: 'application/json',
                'Content-Type': 'application/json'
            }

            this.$store.dispatch(AUTH_LOGOUT, { headers })
                // eslint-disable-next-line no-unused-vars
                .then(response => {
                    this.$router.push('/login')
                })
        }
    },

    beforeUnmount() {
        window.removeEventListener('resize', this.updateWindowDimensions);
    }
};
</script>

<style>
@import "@/assets/styles/app-bar.css";
</style>
